<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
	
if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'jewel2bank')
	{
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		else {
			
			$getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                
                'pagesv'	=>	'sv_tiente_jewel2bank',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vwebmu>',$reponse);
				$jewel = explode('<vweb>',$info[0]);
				if ($jewel[0] == 'OK') {
					$notice = $info[1];
					
					$_SESSION['acc_chao'] = $_SESSION['acc_chao'] + $jewel[1];
					$_SESSION['acc_cre'] = $_SESSION['acc_cre'] + $jewel[2];
					$_SESSION['acc_blue'] = $_SESSION['acc_blue'] + $jewel[3];
					$_SESSION['acc_hhht'] = $_SESSION['acc_hhht'] + $jewel[4];
					$_SESSION['acc_heart'] = $_SESSION['acc_heart'] + $jewel[5];
				}
				else $error = $reponse;
			}
		}
	}
}

$accept = 1;

if ($_SESSION['nv_online'] == 1) {
    $online = "<font color='red'><b>Chưa Thoát</b></font><br>(Sau khi Thoát Game hãy chọn lại Nhân vật)";
    $accept = 0;
} else $online = "<font color='green'>Đã Thoát</font>";
	
$page_template = "templates/tiente/jewel2bank.tpl";
?>